# Fetch Estimate Scenario Resource Recommendations

Returns an ordered list of Recommendations (up to 1000) for an estimate scenario resource.

Endpoint: GET /recommendations/estimate_scenario_resource
Version: 1.0.0

## Query parameters:

  - `id` (integer, required)
    The ID of the EstimateScenarioResource for which to retrieve recommendations.

## Response 200:

  - `200` (unknown)
    A list of Recommendations have been retrieved.

## Response 200 fields (application/json):

  - `total_count` (integer)
    Total number of recommendations returned.

  - `recommendations` (array)

  - `recommendations.user_id` (integer)
    The ID of the user that is recommended.

  - `recommendations.rank` (integer)
    The rank of the user that is recommended.

## Response 400:

  - `400` (unknown)
    Bad Request

## Response 400 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 401:

  - `401` (unknown)
    Unauthorized request

## Response 401 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 403:

  - `403` (unknown)
    Forbidden request

## Response 403 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 404:

  - `404` (unknown)
    Page Not Found

## Response 404 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 422:

  - `422` (unknown)
    Unprocessable Entity

## Response 422 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 503:

  - `503` (unknown)
    Service is unavailable

## Response 503 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

